<%--
 * This code is sample code, provided as-is, and we make no
 * warranties as to its correctness or suitablity for
 * any purpose.
 *
 * We hope that it's useful to you.  Enjoy.
 * Copyright 2004-11 LearningPatterns Inc.
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%@taglib prefix="f" uri="http://java.sun.com/jsf/core"%>
<%@taglib prefix="h" uri="http://java.sun.com/jsf/html"%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<f:view>
    <html>
        <head>
            <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
            <title>Search Results</title>
        </head>
        <body>
            	<b>This is the JSF JavaTunes Search Results page (simple version)</b><br/>
	        JavaTunes: <h:outputText value="Your search yielded the following number of results: " />
                <h:outputText value="#{search.searchSize}" />
                <h:dataTable value="#{search.searchList}" var="item" border="1" cellspacing="2">
                    <h:column>
                        <f:facet name="header">
                            <h:outputText value="Title" />
                        </f:facet>
                        <h:outputText value="#{item.title}" />
                    </h:column>
                    <h:column>
                        <f:facet name="header">
                            <h:outputText value="Artist" />
                        </f:facet>
                        <h:outputText value="#{item.artist}" />
                    </h:column>
                    <h:column>
                        <f:facet name="header">
                            <h:outputText value="Price" />
                        </f:facet>
                        <h:outputText value="#{item.price}" />
                    </h:column>
                    <h:column>
                        <f:facet name="header">
                            <h:outputText value="Buy Now" />
                        </f:facet>
                        <h:form>
                            <h:commandLink action="#{cart.add}" value="Add to Cart">
                                <f:param name="id" value="#{item.id}" />
                            </h:commandLink>
                        </h:form>
                    </h:column>
                </h:dataTable>
        </body>
    </html>
</f:view>
