/*
 * This code is sample code, provided as-is, and we make no
 * warranties as to its correctness or suitablity for
 * any purpose.
 *
 * We hope that it's useful to you.  Enjoy.
 * Copyright 2004-11 LearningPatterns Inc.
 */
 
package com.javatunes.beans;

import java.util.ArrayList;
import java.util.Collection;

import com.javatunes.util.*;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.ApplicationScoped;

import javax.faces.model.SelectItem;

@ManagedBean(name = "artistsForSelect")
@ApplicationScoped
public class ArtistUtil {

    public Collection<SelectItem> getArtists() {
    	Collection<MusicItem> catalog = SearchUtility.getItemCatalog();
    	ArrayList<SelectItem> artists = new ArrayList<SelectItem>(catalog.size());
   		artists.add(new SelectItem("",""));
    	for (MusicItem curItem : catalog) {
    	    artists.add(new SelectItem(curItem.getArtist(), curItem.getArtist()));
    	}
    	return artists;
    }
}