<%--
 * This code is sample code, provided as-is, and we make no
 * warranties as to its correctness or suitablity for
 * any purpose.
 *
 * We hope that it's useful to you.  Enjoy.
 * Copyright 2004-11 LearningPatterns Inc.
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%@taglib prefix="f" uri="http://java.sun.com/jsf/core"%>
<%@taglib prefix="h" uri="http://java.sun.com/jsf/html"%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">

<f:view>
    <html>
        <head>
            <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
            <title>Cart Display</title>
        </head>
        <body>
            <p><b>This is the functional Cart Display JSP</b></p>
	    Your JavaTunes Shopping Cart now contains:
            <h:dataTable value="#{cart.cartList}" var="item" border="2" cellspacing="4">
                <h:column>
                    <f:facet name="header">
                        <h:outputText value="Title" />
                    </f:facet>
                    <h:outputText value="#{item.title}" />
                </h:column>
                <h:column>
                    <f:facet name="header">
                        <h:outputText value="Artist" />
                    </f:facet>
                    <h:outputText value="#{item.artist}" />
                </h:column>
                <h:column>
                    <f:facet name="header">
                        <h:outputText value="Your Cost" />
                    </f:facet>
                    <h:outputText value="#{item.price}" />
                </h:column>
            </h:dataTable>

            <p>
                <h:form>
                    <h:commandButton value="Check Out" actionListener="#{cart.checkout}" />
                </h:form>
                <h:outputText value="<p>Total Cost: <b>" rendered="#{cart.showTotal}" escape="false"/>
                <h:outputText id="justTotal" value="#{cart.cartTotal}" rendered="#{cart.showTotal}" escape="true">
                    <f:convertNumber type="currency" maxFractionDigits="2" currencySymbol="$" />
                </h:outputText>
            </p>

            <p>
                <h:outputLink value="searchForm.faces">
                    <h:outputText value="Search JavaTunes Catalogue" />
                </h:outputLink>
            </p>

        </body>
    </html>
</f:view>
