<%--
 * This code is sample code, provided as-is, and we make no
 * warranties as to its correctness or suitablity for
 * any purpose.
 *
 * We hope that it's useful to you.  Enjoy.
 * Copyright 2004-11 LearningPatterns Inc.
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%@taglib prefix="f" uri="http://java.sun.com/jsf/core"%>
<%@taglib prefix="h" uri="http://java.sun.com/jsf/html"%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<f:view>
    <html>
        <head>
            <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
            <title>Search Form</title>
        </head>
        <body>
            <b>This is the JSF JavaTunes Search Form</b><br/>
            <h:form>
                JavaTunes: <h:inputText id="searchInput" size="20" value="#{search.keyword}" required="true"/>
                <h:message for="searchInput" style="color: red"></h:message><br/>

                <h:selectOneMenu id="artist" value="#{search.artist}">
                    <f:selectItems value="#{artistsForSelect.artists}"/>
                </h:selectOneMenu>

                <p>
                    Maximum Price $: <h:inputText id="priceInput" size="5" value="#{search.maxPrice}" >
                        <f:validateDoubleRange minimum="5.99" maximum="524.99" />
                    </h:inputText >
                    <br><h:message for="priceInput" style="color: blue" />
                </p>

                <h:commandButton value="Search" action="#{search.catSearch}" />
            </h:form>
        </body>
    </html>
</f:view>
