/*
 * This code is sample code, provided as-is, and we make no
 * warranties as to its correctness or suitablity for
 * any purpose.
 *
 * We hope that it's useful to you.  Enjoy.
 * Copyright 2004-11 LearningPatterns Inc.
 */

package com.javatunes.beans;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

@ManagedBean(name="logon")
@SessionScoped
public class LogonBean {

    private String userName;
    private String password;


    /** Creates a new instance of LogonBean */
    public LogonBean() {
    }

    public String getPassword() {
        return password;
    }

    public String getUserName() {
        return userName;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    // For Method Binding and Navigation Lab
    public String checkLogon() {

        String fromOutcome = "failure";

        if (getUserName().equalsIgnoreCase("jsf") && getPassword().equalsIgnoreCase("jsf")) {

            fromOutcome = "success";
        }

        System.out.println("LogonBean.checkLogon - returning " + fromOutcome);
        return fromOutcome;
    }
}
