/*
 * This code is sample code, provided as-is, and we make no
 * warranties as to its correctness or suitablity for
 * any purpose.
 *
 * We hope that it's useful to you.  Enjoy.
 * Copyright 2006-7 LearningPatterns Inc.
 */

package com.javatunes.util;

import java.util.ArrayList;
import java.util.Collection;

import javax.faces.model.SelectItem;

public class ArtistUtil {

    public Collection<SelectItem> getArtists() {
    	Collection<MusicItem> catalog = SearchUtility.getItemCatalog();
    	ArrayList<SelectItem> artists = new ArrayList<SelectItem>(catalog.size());
   		artists.add(new SelectItem("",""));
    	for (MusicItem curItem : catalog) {
    	    artists.add(new SelectItem(curItem.getArtist(), curItem.getArtist()));
    	}
    	return artists;
    }
}